---

- name: Enable Conf for cgi-bin
  replace:
    path: /etc/apache2/sites-available/000-default.conf
    regexp: '^(.*)#(Include conf-available/serve-cgi-bin.conf)$'
    replace: '\1\2'

- name: Add Some Mime Type
  blockinfile:
    path: /etc/apache2/mods-available/mime.conf
    marker: "# {mark} ANSIBLE MANAGED BLOCK"
    insertafter: '.*AddType text/html .shtml'
    block: |8
            ## RSAT options
            AddType text/plain .fasta
            AddType text/plain .bed
            AddType text/plain .gff3
            AddType text/plain .gtf
            AddType text/plain .tab
            AddType text/plain .tsv

- name: Enable Handler for cgi-bin
  replace:
    path: /etc/apache2/mods-available/mime.conf
    regexp: '^(.*)#(AddHandler cgi-script .cgi)$'
    replace: '\1\2'

- name: Enable Encoding
  replace:
    path: /etc/apache2/mods-available/mime.conf
    regexp: '^(.*)#(AddEncoding x-.*)$'
    replace: '\1\2'

- name: Copy Apache Conf File
  ansible.posix.synchronize:
    src: "{{ rsat_install_path }}/RSAT_config.conf"
    dest: "/etc/apache2//sites-enabled/rsat.conf"
  delegate_to: "{{ inventory_hostname }}"

- name: Config PHP Max Post Size
  replace:
    path: /etc/php/7.4/apache2/php.ini
    regexp: '^(post_max_size =).*$'
    replace: '\1 100M'

- name: Config PHP Max Upload Size
  replace:
    path: /etc/php/7.4/apache2/php.ini
    regexp: '^(upload_max_filesize =).*$'
    replace: '\1 200M'

- name: Disables Apache Mod
  community.general.apache2_module:
    state: absent
    name: "{{ item }}"
  loop:
    - mpm_event

- name: Enable Needed Apache mod
  community.general.apache2_module:
    state: present
    name: "{{ item }}"
  loop:
    - cgi
    - mpm_prefork
    - wsgi

- name: Restart Apache
  ansible.builtin.service:
    name: apache2
    state: restarted
  tags:
    - molecule-idempotence-notest
